package pt.ipb.dsys.grpc;

import io.grpc.ManagedChannel;
import io.grpc.ManagedChannelBuilder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ClientMain {

  private static final Logger logger = LoggerFactory.getLogger(ClientMain.class);

  public static void main(String[] args) {
    ManagedChannel channel = ManagedChannelBuilder
        .forAddress("127.0.0.1", Constants.PORT)
        .usePlaintext()
        .build();
    GeometryGrpc.GeometryBlockingStub geometryStub = GeometryGrpc.newBlockingStub(channel);
    VectorList vectorList = VectorList
        .newBuilder()
        .addVectors(Vector
            .newBuilder()
            .setX(1)
            .setY(1))
        .addVectors(Vector
            .newBuilder()
            .setX(2)
            .setY(2))
        .build();
    Vector result = geometryStub.sum(vectorList);
    logger.info("result = [{}, {}]", result.getX(), result.getY());
  }

}
