package pt.ipb.dsys.grpc.services;

import io.grpc.stub.StreamObserver;
import pt.ipb.dsys.grpc.GeometryGrpc;
import pt.ipb.dsys.grpc.Vector;
import pt.ipb.dsys.grpc.VectorList;

public class GeometryServiceImpl extends GeometryGrpc.GeometryImplBase {

  @Override
  public void sum(VectorList request, StreamObserver<Vector> responseObserver) {
    float x = 0;
    float y = 0;
    for (Vector v : request.getVectorsList()) {
      x += v.getX();
      y += v.getY();
    }
    responseObserver.onNext(
        Vector
            .newBuilder()
            .setX(x)
            .setY(y)
            .build()
    );
    responseObserver.onCompleted();
  }
}
